Skip to main content
POST
C#
This endpoint requires the transactions.write scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-gr4vy-merchant-account-id
string

The ID of the merchant account to use for this request.

Example:

"default"

idempotency-key
string | null

A unique key that identifies this request. Providing this header will make this an idempotent request. We recommend using V4 UUIDs, or another random string with enough entropy to avoid collisions.

Example:

"request-12345"

Path Parameters

transaction_id
string<uuid>
required

The unique identifier of the transaction.

Example:

"7099948d-7286-47e4-aad8-b68f7eb44591"

Body

application/json
amount
integer
required

The amount by which to increment the authorization, in the smallest currency unit of the transaction's currency. For example, 1299 cents to increment the authorization by $12.99.

Required range: 0 <= x <= 99999999
Example:

1299

Response

Successful Response

status
string
required

The status of the incremental authorization.

Example:

"succeeded"

code
string | null
required

The standardized error code set by Gr4vy.

Example:

"service_error"

raw_response_code
string | null
required

This is the response code received from the payment service. This can be set to any value and is not standardized across different payment services.

Example:

"E104"

raw_response_description
string | null
required

This is the response description received from the payment service. This can be set to any value and is not standardized across different payment services.

Example:

"Internal error"

transaction
Transaction · object
required

The transaction associated to this incremental authorization.

type
string
default:transaction-authorization-increment

Always transaction-authorization-increment.

Allowed value: "transaction-authorization-increment"
Example:

"transaction-authorization-increment"